<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title></title>
		<style>
.insult {
	color: red; 
	font-size: 1em;
}
		</style>
  </head>
		<div id="insult"></div>
		<div id="name"></div>
  <body>

		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>
		<p>
			Sit consequuntur optio unde accusantium sapiente itaque Cum eveniet dolorem sapiente consequuntur velit? Culpa velit ipsam dicta autem expedita dignissimos voluptas Placeat officia quam nobis inventore totam Itaque vitae impedit vel necessitatibus dolores Autem sint consectetur eius inventore perferendis? Qui aut voluptate ratione magni itaque eius? Fuga laborum alias voluptate illo temporibus eaque animi quos. At dolor corrupti quo possimus cum optio? In impedit culpa impedit a omnis Suscipit consequuntur facilis porro esse quia Est fuga cumque pariatur laudantium sunt facere, inventore dolor Libero autem corporis debitis voluptates quia. Fuga vel maxime est aspernatur exercitationem! Inventore deleniti obcaecati consequuntur aliquam.
		</p>


	</body>
    <script>
			function rdm(min, max) {
				var r = Math.random() * (max - min) + min;
				return Math.floor(r)
			}


      async function getApi() {
        let response = await fetch(
          "insult-en.json"
        );
        let data = await response.json();
        return data;
      }

			function insult(item){
				getApi().then(data => {
					var innerInsult = function(){
						var slt = data[rdm(0, data.length)]
						console.log(slt.insult)
						if (slt.createdby != '') {
							var span = document.createElement('SPAN')
							span.className = 'insult'
							span.innerHTML = ' ['+slt.createdby+ '] : ' +slt.insult
							console.log(span)
							item.prepend('',span)
						}else{
							innerInsult()
						}
					}
					innerInsult()
				})

			}

			var para = document.querySelectorAll('p')


			para.forEach(function(item,i){
				for (let u = 1; u < i+2; u++) {
					insult(item)
				}
			})



    </script>
</html>
